FROM rust:1.55 as build

RUN USER=root cargo new --bin lawless
WORKDIR /lawless
COPY ./Cargo.toml .
COPY ./Cargo.lock .
RUN cargo build --release
RUN rm src/*.rs


COPY ./migrations ./migrations
COPY ./src ./src
COPY ./diesel.toml .
RUN rm ./target/release/deps/lawless*
RUN cargo build --release

FROM debian:buster-slim

RUN apt-get update && apt-get install libpq5 -y

EXPOSE 5000

COPY --from=build /lawless/target/release/lawless /bin
CMD ["lawless"]